table {
	border: none;
	margin: 0 auto;

}

.center{
	text-align: center;
}


.grey {
	background-color: #333333;
	color: white;
}

.green {
	background-color: #4CAF50;
	color: white;
}

.greentxt{
	color: #4CAF50;
}

.button {
	background-color: #4CAF50; /* Green */
	border: 1px #333333;
	border-radius: 5px;
	width: 200px;
	color: white;
	padding: 15px 32px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	white-space: normal;
}
.connect_button {
	background-color: #4CAF50; /* Green */
	border: 1px #333333;
	border-radius: 5px;
	width: 100px;
	color: white;
	padding:5px 5px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	white-space: normal;
}


.messages {
	background-color: #333333; /* Grey */
	border: 1px #333333;
	border-radius: 5px;
	width: 200px;
	color: red;
	padding: 15px 32px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	white-space: normal;
}



.chart {
	width: auto;
	max-width: 1800px;
	height: 220px;
	margin: 0 auto;
}

select {
    width: 100%;
    border: none;
    color: white;
    border-radius: 4px;
    border: 1px solid #ffffff;
    background-color: #333333;
    text-align: center;
	padding-bottom: 5px;
	padding-top: 5px;
}

#qr-canvas-container {
	background-color: black;
}


#qr-canvas {
  	width: 100%;
	margin-top:40%;
	aspect-ratio:1/1;	
}


@media screen and (min-width:321px) and (max-width: 1025px) {
	
	.left{
width: 99%;

}

.right{
width: 99%;

}
	
input[type=number]{
	width: 100%;
  	padding: 12px 20px;
    margin: 8px 0;
    box-sizing: border-box;
	}	
	
.submit_button {
	background-color: #4CAF50; /* Green */
	border: 1px #333333;
	border-radius: 5px;
	width: 100%;
	color: white;
	padding:12px 20px;
	margin: 12px 0;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	white-space: normal;
}
input[type=file] {
	background-color: #4CAF50; /* Green */
	border: 1px #333333;
	border-radius: 5px;
	color: white;
	size:60;
	overflow: auto;
	padding:12px 20px;
	margin: 12px 0;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	white-space: normal;
}

}

